onEvent('tags.items', event => {
  event.add('kubejs:bcutf', 'bloodmagic:basiccuttingfluid')
  event.add('kubejs:icutf', 'bloodmagic:intermediatecuttingfluid')
  event.add('kubejs:acutf', 'bloodmagic:advancedcuttingfluid')
})

onEvent('recipes', event => {

    event.replaceInput({output:'bloodmagic:intermediatecuttingfluid'}, 'bloodmagic:tauoil', '#kubejs:bcutf')
    event.replaceInput({output:'bloodmagic:advancedcuttingfluid'}, 'bloodmagic:tauoil', '#kubejs:icutf')
    event.replaceInput({output:'bloodmagic:advancedcuttingfluid'}, 'bloodmagic:sand_hellforged', 'bloodmagic:soulgemgreater')

    // raw iridium
    event.remove({output : "#forge:ingots/iridium"})
    event.shaped("4x ftbic:iridium_chunk", ['AAA', 'A A', 'AAA'], {A : "mysticalagriculture:iridium_essence"})

    event.custom({
        "type": "bloodmagic:arc",
        "input": {
          "tag": "forge:dusts/iridium"
        },
        "inputsize": 1,
        "tool": {
          "item": "bloodmagic:sanguinereverter"
        },
        "output": {
          "item": "ftbic:iridium_ingot"
        },
        "consumeingredient": false,
        "mainoutputchance": 0.0
      })

    //advanced cutting fluid must be in the recipe
    event.replaceInput({output: 'bloodmagic:sand_netherite'},'#bloodmagic:arc/cuttingfluid','bloodmagic:advancedcuttingfluid')

    // gausum ingot
    event.recipes.bloodmagic.alchemytable(Item.of('tinkers_reforged:gausum_ingot'), ['tconstruct:slimesteel_ingot', 'bloodmagic:demonslate', 'biomancy:bio_lumens', '#forge:dusts/diamond', 'mysticalagriculture:imperium_essence', 'minecraft:prismarine_crystals']).syphon(5000).ticks(200).upgradeLevel(4)

    //blaze cake
    event.recipes.bloodmagic.alchemytable(Item.of('create:blaze_cake'), ['create:blaze_cake_base', 'gobber2:gobber2_foo_nether', 'minecraft:wither_skeleton_skull', 'mysticalagradditions:supremium_coal', 'minecraft:blaze_spawn_egg', 'tconstruct:blaze_head']).syphon(15000).ticks(200).upgradeLevel(4)
    
    //integral components
    event.recipes.bloodmagic.altar('thermal:upgrade_augment_1', 'minecraft:clock').upgradeLevel(3).altarSyphon(3000).consumptionRate(1000)
    event.recipes.bloodmagic.altar('thermal:upgrade_augment_2', 'thermal:upgrade_augment_1').upgradeLevel(3).altarSyphon(5000).consumptionRate(1000)
    event.recipes.bloodmagic.altar('thermal:upgrade_augment_3', 'thermal:upgrade_augment_2').upgradeLevel(3).altarSyphon(10000).consumptionRate(1000)

    // industrial grade metal
    event.remove({output : 'ftbic:industrial_grade_metal'})
    event.recipes.bloodmagic.altar('ftbic:industrial_grade_metal', 'minecraft:iron_ingot').upgradeLevel(4).altarSyphon(200).consumptionRate(1000)

    // mystcial essences 
    event.recipes.bloodmagic.altar('mysticalagriculture:prudentium_essence', 'mysticalagriculture:inferium_essence').upgradeLevel(0).altarSyphon(500).consumptionRate(125)
    event.recipes.bloodmagic.altar('mysticalagriculture:tertium_essence', 'mysticalagriculture:prudentium_essence').upgradeLevel(1).altarSyphon(2000).consumptionRate(500)
    event.recipes.bloodmagic.altar('mysticalagriculture:imperium_essence', 'mysticalagriculture:tertium_essence').upgradeLevel(2).altarSyphon(8000).consumptionRate(2000)
    event.recipes.bloodmagic.altar('mysticalagriculture:supremium_essence', 'mysticalagriculture:imperium_essence').upgradeLevel(3).altarSyphon(32000).consumptionRate(8000)
    event.recipes.bloodmagic.altar('mysticalagradditions:insanium_essence', 'mysticalagriculture:supremium_essence').upgradeLevel(4).altarSyphon(100000).consumptionRate(25000)

    // nether essence
    event.recipes.bloodmagic.altar('mysticalagriculture:nether_essence', 'minecraft:netherrack').upgradeLevel(2).altarSyphon(1000).consumptionRate(75)

    //bloodbrass ingot  
    event.recipes.bloodmagic.altar('bloodsmeltery:bloodbrass_ingot', 'create:brass_ingot').upgradeLevel(3).altarSyphon(3000).consumptionRate(500)
    
    //dagger of sacrifice
    event.recipes.bloodmagic.altar('bloodmagic:daggerofsacrifice', 'minecraft:diamond_sword').upgradeLevel(2).altarSyphon(4000).consumptionRate(500)

    //coagulated blood
    event.recipes.bloodmagic.altar('tconstruct:blood_slime_ball', 'biomancy:flesh_bits').upgradeLevel(0).altarSyphon(200).consumptionRate(50)

    //gelot
    event.recipes.bloodmagic.soulforge('tinkers_reforged:gelot_ingot', ['projecte:medium_covalence_dust','projecte:low_covalence_dust','minecraft:amethyst_shard','minecraft:blaze_powder'])

    //essentia iaculis
    event.recipes.bloodmagic.soulforge('kubejs:essentia_iaculis', [Item.of("tconstruct:tough_handle", {Material:"tinkers_reforged:gausum"}),Item.of('tconstruct:tool_binding', {Material:'tinkers_reforged:gausum'}),Item.of('tconstruct:broad_blade', {Material:'tinkers_reforged:gausum'}),Item.of('tconstruct:small_blade', {Material:'tinkers_reforged:gausum'})])

    //gobber globette
    event.recipes.bloodmagic.soulforge('gobber2:gobber2_globette', ['create:polished_rose_quartz','minecraft:coal','minecraft:diamond','projecte:medium_covalence_dust'])
    
    //nether blobbete
    event.recipes.bloodmagic.soulforge('gobber2:gobber2_globette_nether', ['minecraft:nether_wart','minecraft:netherrack','bloodmagic:sand_netherite','projecte:high_covalence_dust'])
    
    //end globette
    event.recipes.bloodmagic.soulforge('gobber2:gobber2_globette_end', ['minecraft:end_stone','minecraft:obsidian','bloodmagic:demonslate','minecraft:ghast_tear'])

    //coal essence
    event.recipes.bloodmagic.altar('mysticalagriculture:coal_essence', 'minecraft:coal_block').upgradeLevel(2).altarSyphon(1300).consumptionRate(100)
   
    //amethyst essence
    event.recipes.bloodmagic.altar('mysticalagriculture:amethyst_essence', 'projecte:high_covalence_dust').upgradeLevel(0).altarSyphon(500).consumptionRate(100)
    
    //weak blood orb
    event.recipes.bloodmagic.altar('bloodmagic:weakbloodorb', 'tconstruct:blood_slime_ball').upgradeLevel(1).altarSyphon(5000).consumptionRate(400)

	//apprentice orb
    event.recipes.bloodmagic.altar('bloodmagic:apprenticebloodorb', 'bloodmagic:arcaneashes').upgradeLevel(2).altarSyphon(10000).consumptionRate(1000) 
    
    //furnace
    event.recipes.bloodmagic.altar('minecraft:furnace', 'tconstruct:smeltery_controller').upgradeLevel(2).altarSyphon(1250).consumptionRate(100)

	//water bucket
    event.recipes.bloodmagic.altar('minecraft:water_bucket', 'minecraft:bucket').upgradeLevel(1).altarSyphon(1000).consumptionRate(100)

    //wood essence
    event.recipes.bloodmagic.altar('mysticalagriculture:wood_essence', 'minecraft:dirt').upgradeLevel(0).altarSyphon(300).consumptionRate(50)
    
    //blank slate
    event.recipes.bloodmagic.altar('bloodmagic:blankslate', 'decorative_blocks:rocky_dirt').upgradeLevel(0).altarSyphon(100).consumptionRate(100)

    //iron block
    event.recipes.bloodmagic.altar('minecraft:iron_block', 'create:andesite_alloy_block').upgradeLevel(0).altarSyphon(3250)

    //brass essence
    event.recipes.bloodmagic.altar('mysticalagriculture:brass_essence', 'minecraft:iron_nugget').upgradeLevel(1).altarSyphon(250)

    // andesite alloy
    event.recipes.bloodmagic.altar('create:andesite_alloy', 'minecraft:andesite').upgradeLevel(0).altarSyphon(250).consumptionRate(10)

    // nature essence
    event.recipes.bloodmagic.altar('mysticalagriculture:nature_essence', '#createaddition:plants').upgradeLevel(0).altarSyphon(200).consumptionRate(1000)
})

